Package com.sun.jna.platform.linux

## Interface Fcntl

-     public interface Fcntl

  POSIX Standard: 6.5 File Control Operations from `fcntl.h`

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `O_CREAT` |
    `static int` | `O_EXCL` |
    `static int` | `O_RDONLY` |
    `static int` | `O_RDWR` |
    `static int` | `O_TRUNC` |
    `static int` | `O_WRONLY` |
    `static int` | `S_IRGRP` |
    `static int` | `S_IROTH` |
    `static int` | `S_IRUSR` |
    `static int` | `S_IRWXG` |
    `static int` | `S_IRWXO` |
    `static int` | `S_IRWXU` |
    `static int` | `S_ISGID` |
    `static int` | `S_ISUID` |
    `static int` | `S_ISVTX` |
    `static int` | `S_IWGRP` |
    `static int` | `S_IWOTH` |
    `static int` | `S_IWUSR` |
    `static int` | `S_IXGRP` |
    `static int` | `S_IXOTH` |
    `static int` | `S_IXUSR` |

- - ### Field Detail

    - #### O_RDONLY

          static final int O_RDONLY

      See Also:
        Constant Field Values

    - #### O_WRONLY

          static final int O_WRONLY

      See Also:
        Constant Field Values

    - #### O_RDWR

          static final int O_RDWR

      See Also:
        Constant Field Values

    - #### O_CREAT

          static final int O_CREAT

      See Also:
        Constant Field Values

    - #### O_EXCL

          static final int O_EXCL

      See Also:
        Constant Field Values

    - #### O_TRUNC

          static final int O_TRUNC

      See Also:
        Constant Field Values

    - #### S_IRUSR

          static final int S_IRUSR

      See Also:
        Constant Field Values

    - #### S_IWUSR

          static final int S_IWUSR

      See Also:
        Constant Field Values

    - #### S_IXUSR

          static final int S_IXUSR

      See Also:
        Constant Field Values

    - #### S_IRWXU

          static final int S_IRWXU

      See Also:
        Constant Field Values

    - #### S_IRGRP

          static final int S_IRGRP

      See Also:
        Constant Field Values

    - #### S_IWGRP

          static final int S_IWGRP

      See Also:
        Constant Field Values

    - #### S_IXGRP

          static final int S_IXGRP

      See Also:
        Constant Field Values

    - #### S_IRWXG

          static final int S_IRWXG

      See Also:
        Constant Field Values

    - #### S_IROTH

          static final int S_IROTH

      See Also:
        Constant Field Values

    - #### S_IWOTH

          static final int S_IWOTH

      See Also:
        Constant Field Values

    - #### S_IXOTH

          static final int S_IXOTH

      See Also:
        Constant Field Values

    - #### S_IRWXO

          static final int S_IRWXO

      See Also:
        Constant Field Values

    - #### S_ISUID

          static final int S_ISUID

      See Also:
        Constant Field Values

    - #### S_ISGID

          static final int S_ISGID

      See Also:
        Constant Field Values

    - #### S_ISVTX

          static final int S_ISVTX

      See Also:
        Constant Field Values